# $Revision: 1.31 $, $Date: 2012/01/15 17:17:56 $
#
# Conditional build:
%bcond_without	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Warn
Summary:	Test::Warn - Perl extension to test methods for warnings
Summary(pl.UTF-8):	Test::Warn - rozszerzenie Perla do testowania metod pod kątem ostrzeżeń
Name:		perl-Test-Warn
Version:	0.23
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/CHORNY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96e224cba15bf69b7513c08e70496457
URL:		http://search.cpan.org/dist/Test-Warn/
%if %{with tests}
BuildRequires:	perl-Array-Compare
BuildRequires:	perl-Sub-Uplevel
BuildRequires:	perl(Test::Builder) >= 0.13
BuildRequires:	perl-Test-Builder-Tester
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(Test::Builder) >= 0.13
Requires:	perl-Tree-DAG_Node
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing warning
based code.

%description -l pl.UTF-8
Ten moduł udostępnia kilka wygodnych metod, przydatnych przy
testowaniu kodu, opartego na ostrzeżeniach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Test/Warn.pm
%{_mandir}/man3/Test::Warn.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Warn.spec,v $
Revision 1.31  2012/01/15 17:17:56  zbyniu
- up to 0.23

Revision 1.30  2011/02/21 18:58:02  qboosh
- updated to 0.22

Revision 1.29  2010/05/16 14:14:25  sparky
- BR: unzip

Revision 1.28  2009/09/09 09:36:53  amateja
- updated to 0.21
- Source0 URL changed

Revision 1.27  2008/12/14 10:33:45  agaran
- up to 0.11

Revision 1.26  2007/12/30 23:23:29  zbyniu
- up to 0.10

Revision 1.25  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.23  2006/12/22 09:37:04  qboosh
- enable tests by default

Revision 1.22  2006/12/22 09:18:55  qboosh
- generic URL, readable files

Revision 1.21  2006/08/24 13:10:09  radek
- release 2: R: perl-Tree-DAG_Node

Revision 1.20  2004/11/03 22:30:48  paladine
- formatting

Revision 1.19  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.18  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.17  2003/11/01 16:09:55  qboosh
- pl summary, cosmetics

Revision 1.16  2003/10/07 13:25:51  migo
- removed bogus summaries
- tests bcond
- added BRs, cosmetics

Revision 1.15  2003/09/18 13:21:48  adamg
- updated to 0.08

Revision 1.14  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.12  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/13 00:03:45  ankry
- merge from RA-branch: updated to 0.07

Revision 1.7  2003/03/01 21:34:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:33  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:40  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/03 21:35:01  ankry
- cleaning

Revision 1.2  2002/09/03 08:31:13  marcus
- updated to 0.06

Revision 1.1  2002/07/21 20:20:08  radek
- new, should be ok for STBR
